@import '../../styles/color.scss';
@import '../../styles/variables.scss';
@import '~react-picky/dist/picky.css';

.searchbar {
  background-color: color(grey, base);
  padding: 20px;
  .btn {
    margin: 0px 10px 0px 5px;
  }
  .btn:hover {
    background-color: #ffe56b;
    color: #2f2f2f;
  }
}

.searchbar__title {
  text-align: center;
}

.searchbar__inputgroup {
  border-radius: 20px;
  margin-right: 10px;
}

.searchbar__input-icon {
  border-color: color(green, lighter);
  background-color: color(bright, base);
  border-right: none;
}

.searchbar__input {
  border-color: color(green, lighter);
  border-left: none;
  background-color: color(bright, base);
  outline: none;
}

.searchbar__filter-buttons {
  margin-top: 10px;
  & > button {
    margin-right: 10px;
    border-radius: 20px;
    border-color: color(green, lighter);
    background-color: color(green, lightest);
    color: color(dark, base);
  }
}

.filter-wrapper {
  display: flex;
  flex-direction: column;
  & > * {
    margin-bottom: 10px;
  }
  @media (min-width: $breakpoint-mobile) {
    flex-direction: row;
    & > * {
      margin-bottom: 0;
    }
  }
}

.picky {
  @media (min-width: $breakpoint-mobile) {
    max-width: 300px;
  }

  .picky__input {
    border-radius: 4px;
    border-color: color(green, lighter);
    background-color: color(bright, base);
    outline: none;
  }

  .picky__input:focus {
    outline: none;
  }
  .picky__dropdown {
    z-index: 2000;

    li.selected {
      background-color: color(yellow, lighter);
    }

    li > svg {
      margin-right: 10px;
    }
  }
}
